Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help
Interface IHelp

Deprecated. This interface became obsolete in 3.0, along with the extension point that it was associated with. The functionality provided by this interface is available elsewhere. Use `HelpSystem.getTocs()` and `HelpSystem.getContext(String)` to obtain help resources. Use various display methods of `WorkbenchHelp`to display help resources.

public interface IHelp

Former interface to the help system UI.

Method Summary
`void` | `displayContext(IContext context, int x, int y)` Deprecated. Use WorkbenchHelp.displayContext(context,x,y) instead.
`void` | `displayContext(String contextId, int x, int y)` Deprecated. Use WorkbenchHelp.displayContext(HelpSystem.getContext(contextId),x,y) instead.
`void` | `displayHelp()` Deprecated. Use WorkbenchHelp.displayHelp() instead.
`void` | `displayHelp(IContext context, int x, int y)` Deprecated. Use WorkbenchHelp.displayContext(context,x,y) instead.
`void` | `displayHelp(String toc)` Deprecated. Use WorkbenchHelp.displayHelpResource(toc) instead.
`void` | `displayHelp(String contextId, int x, int y)` Deprecated. Use WorkbenchHelp.displayContext(HelpSystem.getContext(contextId),x,y) instead.
`void` | `displayHelp(String toc, String selectedTopic)` Deprecated. Use WorkbenchHelp.displayHelpResource(selectedTopic) instead.
`void` | `displayHelpResource(IHelpResource helpResource)` Deprecated. Use WorkbenchHelp.displayHelpResource(helpResource.getHref()) instead.
`void` | `displayHelpResource(String href)` Deprecated. Use WorkbenchHelp.displayHelpResource(href) instead.
`IContext` | `getContext(String contextId)` Deprecated. Use HelpSystem.getContext(contextId) instead.
`IToc[]` | `getTocs()` Deprecated. Use HelpSystem.getTocs() instead.
`boolean` | `isContextHelpDisplayed()` Deprecated. Use WorkbenchHelp.isContextHelpDisplayed() instead.

Method Detail

### displayHelp

    public void displayHelp()

  Deprecated. Use WorkbenchHelp.displayHelp() instead.

  Displays the entire help bookshelf.

  This method is called by the platform to launch the help system UI

  Since:
    2.0

### displayContext

    public void displayContext(IContext context,
                               int x,
                               int y)

  Deprecated. Use WorkbenchHelp.displayContext(context,x,y) instead.

  Displays context-sensitive help for the given context.

  (x,y) coordinates specify the location where the context sensitive help UI will be presented. These coordinates are screen-relative (ie: (0,0) is the top left-most screen corner). The platform is responsible for calling this method and supplying the appropriate location.

  Parameters:
    `context` - the context to display
    `x` - horizontal position
    `y` - verifical position
  Since:
    2.0

### displayContext

    public void displayContext(String contextId,
                               int x,
                               int y)

  Deprecated. Use WorkbenchHelp.displayContext(HelpSystem.getContext(contextId),x,y) instead.

  Displays context-sensitive help for context with the given context id.

  (x,y) coordinates specify the location where the context sensitive help UI will be presented. These coordinates are screen-relative (ie: (0,0) is the top left-most screen corner). The platform is responsible for calling this method and supplying the appropriate location.

  Parameters:
    `contextId` - the help context identifier; the parameter needs to have a form pluginID.pluginContextId, where pluginID is ID of plug-in contributing a context, and pluginContextID is ID of context contributed in a plug-in.
    `x` - horizontal position
    `y` - verifical position
  Since:
    2.0
  See Also:
    `getContext(String)`

### displayHelpResource

    public void displayHelpResource(String href)

  Deprecated. Use WorkbenchHelp.displayHelpResource(href) instead.

  Displays help content for the help resource with the given URL.

  This method is called by the platform to launch the help system UI, displaying the documentation identified by the `href` parameter.

  The help system makes no guarantee that all the help resources can be displayed or how they are displayed.

  Parameters:
    `href` - the URL of the help resource.

    Valid href are as described in `IHelpResource.getHref()`

  Since:
    2.0

### displayHelpResource

    public void displayHelpResource(IHelpResource helpResource)

  Deprecated. Use WorkbenchHelp.displayHelpResource(helpResource.getHref()) instead.

  Displays help content for the help resource.

  This method is called by the platform to launch the help system UI, displaying the documentation identified by the `helpResource` parameter.

  The help system makes no guarantee that all the help resources can be displayed or how they are displayed.

  Parameters:
    `helpResource` - the help resource to display.
  Since:
    2.0
  See Also:
    `displayHelpResource(String)`

### displayHelp

    public void displayHelp(String toc)

  Deprecated. Use WorkbenchHelp.displayHelpResource(toc) instead.

  Displays help content for the toc with the given URL.

  This method is called by the platform to launch the help system UI, displaying the documentation identified by the `toc` parameter.

  Valid toc are contributed through the `toc` element of the `"org.eclipse.help.toc"` extension point.

  Parameters:
    `toc` - the URL of the toc as specified in the `"org.eclipse.help.toc"` extenstion point

### displayHelp

    public void displayHelp(String toc,
                            String selectedTopic)

  Deprecated. Use WorkbenchHelp.displayHelpResource(selectedTopic) instead.

  This method is an extension to the displayHelp(String toc) method, providing the ability to open the specified help topic.

  `selectedTopic` should be a valid help topic url contained in the specified `toc` and have the following format: /pluginID/path_to_document
  where

  pluginID is the unique identifier of the plugin containing the help topic,
  path_to_document is the help topic path, relative to the plugin directory

  Parameters:
    `toc` - the URL of the toc
    `selectedTopic` - the help topic url.
  See Also:
    `displayHelp(java.lang.String)`

### displayHelp

    public void displayHelp(String contextId,
                            int x,
                            int y)

  Deprecated. Use WorkbenchHelp.displayContext(HelpSystem.getContext(contextId),x,y) instead.

  Displays context-sensitive help for context with the given context id.

  (x,y) coordinates specify the location where the context sensitive help UI will be presented. These coordinates are screen-relative (ie: (0,0) is the top left-most screen corner). The platform is responsible for calling this method and supplying the appropriate location.

  Parameters:
    `contextId` - the help context identifier
    `x` - horizontal position
    `y` - verifical position
  See Also:
    `getContext(String)`

### displayHelp

    public void displayHelp(IContext context,
                            int x,
                            int y)

  Deprecated. Use WorkbenchHelp.displayContext(context,x,y) instead.

  Displays context-sensitive help for the given context.

  (x,y) coordinates specify the location where the context sensitive help UI will be presented. These coordinates are screen-relative (ie: (0,0) is the top left-most screen corner). The platform is responsible for calling this method and supplying the appropriate location.

  Parameters:
    `context` - the context to display
    `x` - horizontal position
    `y` - verifical position

### getContext

    public IContext getContext(String contextId)

  Deprecated. Use HelpSystem.getContext(contextId) instead.

  Computes and returns context information for the given context id.

  Parameters:
    `contextId` - the context id
  Returns:
    the context, or `null` if none

### getTocs

    public IToc[] getTocs()

  Deprecated. Use HelpSystem.getTocs() instead.

  Returns the list of all integrated tables of contents available.

  Returns:
    an array of TOC's
  Since:
    2.0

### isContextHelpDisplayed

    public boolean isContextHelpDisplayed()

  Deprecated. Use WorkbenchHelp.isContextHelpDisplayed() instead.

  Returns `true` if the context-sensitive help window is currently being displayed, `false` if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.